import 'package:json_annotation/json_annotation.dart';

part 'book.g.dart';

@JsonSerializable()
class Book {
  const Book({
    this.author = '',
    this.country = '',
    this.imageLink = '',
    this.language = '',
    this.link = '',
    this.pages = 0,
    this.title = '',
    this.year = 0,
  });

  @JsonKey(name: 'author', defaultValue: '')
  final String author;
  @JsonKey(name: 'country', defaultValue: '')
  final String country;
  @JsonKey(name: 'imageLink', defaultValue: '')
  final String imageLink;
  @JsonKey(name: 'language', defaultValue: '')
  final String language;
  @JsonKey(name: 'link', defaultValue: '')
  final String link;
  @JsonKey(name: 'pages', defaultValue: 0)
  final num pages;
  @JsonKey(name: 'title', defaultValue: '')
  final String title;
  @JsonKey(name: 'year', defaultValue: 0)
  final num year;

  factory Book.fromJson(Map<String, dynamic> json) => _$BookFromJson(json);

  Map<String, dynamic> toJson() => _$BookToJson(this);
}
