import '../defined.dart';

class BaseRequestPaging<D> {
  const BaseRequestPaging({
    this.queryData,
    this.offset = defaultOffsetPaging,
    this.limit = defaultLimitPaging,
  });

  final D? queryData;
  final int limit;
  final int offset;
}

class BaseResponsePaging<D> {
  const BaseResponsePaging({
    this.dataList = const [],
    this.currentOffset = defaultInvalidOffset,
  });

  final List<D> dataList;
  final int currentOffset;
}
