class KntException implements Exception {
  const KntException(
    this._issue, {
    this.code,
    this.additionalInfo,
  });

  final KntIssue? _issue;
  final int? code;
  final String? additionalInfo;

  KntIssue get issue => _issue ?? KntIssue.undefined;

  @override
  String toString() => '$issue - [$code] - '
      '${additionalInfo != null ? '\nAdditional info $additionalInfo' : ''}';
}

/// Should create an extension for error message with switch-case
enum KntIssue {
  network,
  badRequest,
  unauthorized,
  notFound,
  cancel,
  timeout,
  server,
  parsing,
  undefined,
}
